// $matvec.hpp 1.5 milbo$ routines for handling vectors of matrices

#if !defined(matvec_hpp)
#define matvec_hpp

using namespace GslMat;
using namespace std;

typedef cvec<Mat> MatVec;   // a vector of matrices (in C parlance, an array of Mats)

typedef cvec<Vec> VecVec;   // a vector of vectors (identical to MatVec, but shows
                            // that intent of programmer is slightly different)

void ReadMatVec(MatVec *pMatV,                      // out
                const char *sFile, FILE *pFile);    // in

#endif // matvec_hpp
