@rem Batch file for profiling stasm
@rem First do a make clean and a profiling build: nmake -nologo CFG=Profile -f makefile.ms

@rem prep -nologo -om -ft stasm
@rem use -at for attribution data (i.e. which funcs called which funcs)
prep -nologo -om -ft -at stasm
@if errorlevel == 1 goto error 

profile -nologo stasm -v ../data/testImage.jpg ../data/testImage.jpg ../data/testImage.jpg
@if errorlevel == 1 goto error 

prep -nologo -m stasm
@if errorlevel == 1 goto error 

@rem if you list prep -at then you must use -flat here else plist crashes
plist -nologo -flat stasm >stasm.profileResults
@if errorlevel == 1 goto error 
goto done

:error
@echo PROFILING ERROR

:done
