// $find.hpp 1.5 milbo$
// Derived from code by Henry Rowley http://vasc.ri.cmu.edu/NNFaceDetector.

#ifndef find_hpp
#define find_hpp

typedef struct tFaceEyeLocation
    {
    int x1, y1, x2, y2;
    int xLeftEye, yLeftEye;     // left/right are wrt to the viewer
    int xRightEye, yRightEye;
    }
tFaceEyeLocation;

extern Image gFaceMask;
extern Image gEyeMask;

int Track_FindAllFaces(tFaceEyeLocation **ppFaceLocations,       // out
                       const Image &Img, const char *sDataDir);  // in

#if MASM    // needed only by research code
void
FindEyesGivenFace(int *pxRightEye, int *pyRightEye,     // out
        int *pxLeftEye, int *pyLeftEye,                 // out
        const SHAPE DetShape,                           // in
        const Image &Img, const char *sDataDir);        // in
#endif

#endif // find_hpp
