// $all.hpp 1.5 milbo$ all include files for stasm

#if !defined(all_hpp)
#define all_hpp

#include <io.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <float.h>
#include <windows.h>    // for bitmap definitions
#if _MSC_VER            // microsoft
    #pragma warning(disable:4786) // disable warnings about long names in STL
    #include <new.h>    // set_new_handler()
#endif
// misc.hpp must be "first" to redefine malloc and alloc
#include "misc.hpp"
// gsl.config must be included for correct build with inline correctly defined etc.
#include "gsl/config.h"
#include "gsl/gsl_nan.h"
#include "gsl/gsl_errno.h"
#include "gsl/gsl_math.h"
#include "gsl/gsl_matrix.h"
#include "gsl/gsl_linalg.h"
#include "util.hpp"
#include "cvec.hpp"
#include "mat.hpp"
#include "matview.hpp"
using namespace GslMat;
#include "image.hpp"
#include "jpegutil.hpp"
#include "colors.hpp"
#include "matvec.hpp"
#include "atface.hpp"
#include "landmarks.hpp"
#include "prof.hpp"
#include "sparsemat.hpp"
#include "asm.hpp"
#include "imshape.hpp"
#include "imutil.hpp"
#include "rgbimutil.hpp"
#include "imfile.hpp"
#include "find.hpp"
#include "rowley.hpp"
#include "violajones.hpp"
#include "asmfile.hpp"
#include "startshape.hpp"
#include "tclHash.h"
#include "forward.hpp"
#include "follow.hpp"
#include "list.hpp"
#include "initnet.hpp"
#include "search.hpp"

#endif // all_hpp
