// $startshape.hpp 1.5 milbo$ routines for finding start shape for an ASM search

#if !defined(startshape_hpp)
#define startshape_hpp

void GetStartShapeFromGlobalDet(SHAPE &StartShape,          // out
        bool fViolaJones,
        Image &Img,
        const char sImageFile[],
        const SHAPE &MeanShape,
        const char sDataDir[]);

void GetStartShapeFromPreviousSearch(SHAPE &StartShape,     // out
        const SHAPE &PrevShape,     // in: combined shape from previous search
        const SHAPE &MeanShape);    // in

#endif // startshape_hpp
