// $util.hpp 1.5 milbo$ utilities for stasm.cpp

#if !defined(util_hpp)
#define util_hpp

extern FILE *pgLogFile;     // lprintfs go to this file
void SetMallocHandler(void);
FILE *pOpenLogFile (const char sLogFile[]);
void GslErrorHandler(const char * reason, const char * file, int line, int gsl_errno);
void lprintf(const char *pArgs, ...);   // args like printf
FILE *Fopen(const char *sFile, const char *sMode);
void Fwrite(const void *buf, size_t Size, size_t Count, FILE *pFile, char *sFile);
void Fprintf(FILE *pFile, const char *pArgs, ...);
void Fprintf(const char *sFile, FILE *pFile, const char *pArgs, ...);
void Fread(void *buf, size_t Size, size_t Count, FILE *pFile, const char *sFile);
char *Fgets(char *s, int n, FILE *stream);
void Err(const char *pArgs, ...);       // args like printf
void Shutdown(void);
#if _MSC_VER // microsoft
#else        // gcc
void *_malloc(size_t size);
void *_calloc(size_t num, size_t size);
#endif

#endif // util_hpp
